Subject: bug#8944: 23.3; Formatting of Labeled Constructs in Fortran

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Jun 2011 21:42:20 -0400

[email-masked] wrote:

> It would be best if the construct names did not effect the indentation
> of code that follows.
>
> Thus
>
>      An ordinary line indented like here.
> Construct_Name: do i = 1, 10
>        Next line indented as if the construct name were not there.
> Another_Construct_name: do j = 1, 30
> And_Yet_Another_name: do k = 1,8
>            The next line starts like this
>          end do Construct_Name
>        end do Another_Construct_name
>      end do And_Yet_Another_name

I don't understand what you are asking for, because the names
already make no difference to the indentation of subsequent lines.

Compare the result of indenting:

do i = 1, 10
foo
end do

and

very_long_label: do i = 1, 10
foo
end do

Lines 2 and 3 get the same indentation in both cases.

What you seem to be asking for is the option to indent named statements
to column 0. That's probably doable, but it won't be a high priority.

> Although I've been told, it is awkward to implement, I would like to be
> able to use continuation lines so that the indentation structure of the
> code is more clear.  Thus the above might look like this
>
>      An ordinary line indented like here.
> Construct_Name:&
> &    do i = 1, 10

I'm not going to implement this. It is too difficult to support
constructs split across lines.